Package fr.gouv.vitam.common.model.unit

# Class SigningInformationTypeModel

java.lang.Object
fr.gouv.vitam.common.model.unit.SigningInformationTypeModel

public class SigningInformationTypeModel extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ADDITIONAL_PROOF`
  `protected List<AdditionalProofType>`
  `additionalProof`
  `static final String`
  `DETACHED_SIGNING_ROLE`
  `protected List<DetachedSigningRoleType>`
  `detachedSigningRole`
  `protected SignatureInformationExtendedModel`
  `extended`
  `static final String`
  `EXTENDED`
  `static final String`
  `SIGNATURE_DESCRIPTION`
  `protected List<SignatureDescriptionTypeModel>`
  `signatureDescription`
  `static final String`
  `SIGNING_ROLE`
  `protected List<SigningRoleType>`
  `signingRole`
  `static final String`
  `TIMESTAMPING_INFORMATION`
  `protected List<TimestampingInformationTypeModel>`
  `timestampingInformation`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SigningInformationTypeModel()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<AdditionalProofType>`
  `getAdditionalProof()`
  `List<DetachedSigningRoleType>`
  `getDetachedSigningRole()`
  `SignatureInformationExtendedModel`
  `getExtended()`
  `List<SignatureDescriptionTypeModel>`
  `getSignatureDescription()`
  `List<SigningRoleType>`
  `getSigningRole()`
  `List<TimestampingInformationTypeModel>`
  `getTimestampingInformation()`
  `SigningInformationTypeModel`
  `setAdditionalProof(List<AdditionalProofType> additionalProof)`
  `SigningInformationTypeModel`
  `setDetachedSigningRole(List<DetachedSigningRoleType> detachedSigningRole)`
  `SigningInformationTypeModel`
  `setExtended(SignatureInformationExtendedModel extended)`
  `SigningInformationTypeModel`
  `setSignatureDescription(List<SignatureDescriptionTypeModel> signatureDescription)`
  `SigningInformationTypeModel`
  `setSigningRole(List<SigningRoleType> signingRole)`
  `SigningInformationTypeModel`
  `setTimestampingInformation(List<TimestampingInformationTypeModel> timestampingInformation)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### SIGNING_ROLE

    public static final String SIGNING_ROLE
    See Also:
      - Constant Field Values

  - ### DETACHED_SIGNING_ROLE

    public static final String DETACHED_SIGNING_ROLE
    See Also:
      - Constant Field Values

  - ### SIGNATURE_DESCRIPTION

    public static final String SIGNATURE_DESCRIPTION
    See Also:
      - Constant Field Values

  - ### TIMESTAMPING_INFORMATION

    public static final String TIMESTAMPING_INFORMATION
    See Also:
      - Constant Field Values

  - ### ADDITIONAL_PROOF

    public static final String ADDITIONAL_PROOF
    See Also:
      - Constant Field Values

  - ### EXTENDED

    public static final String EXTENDED
    See Also:
      - Constant Field Values

  - ### signingRole

    protected List<SigningRoleType> signingRole

  - ### detachedSigningRole

    protected List<DetachedSigningRoleType> detachedSigningRole

  - ### signatureDescription

    protected List<SignatureDescriptionTypeModel> signatureDescription

  - ### timestampingInformation

    protected List<TimestampingInformationTypeModel> timestampingInformation

  - ### additionalProof

    protected List<AdditionalProofType> additionalProof

  - ### extended

    protected SignatureInformationExtendedModel extended

- ## Constructor Details

  - ### SigningInformationTypeModel

    public SigningInformationTypeModel()

- ## Method Details

  - ### getSigningRole

    public List<SigningRoleType> getSigningRole()

  - ### setSigningRole

    public SigningInformationTypeModel setSigningRole(List<SigningRoleType> signingRole)

  - ### getDetachedSigningRole

    public List<DetachedSigningRoleType> getDetachedSigningRole()

  - ### setDetachedSigningRole

    public SigningInformationTypeModel setDetachedSigningRole(List<DetachedSigningRoleType> detachedSigningRole)

  - ### getSignatureDescription

    public List<SignatureDescriptionTypeModel> getSignatureDescription()

  - ### setSignatureDescription

    public SigningInformationTypeModel setSignatureDescription(List<SignatureDescriptionTypeModel> signatureDescription)

  - ### getTimestampingInformation

    public List<TimestampingInformationTypeModel> getTimestampingInformation()

  - ### setTimestampingInformation

    public SigningInformationTypeModel setTimestampingInformation(List<TimestampingInformationTypeModel> timestampingInformation)

  - ### getAdditionalProof

    public List<AdditionalProofType> getAdditionalProof()

  - ### setAdditionalProof

    public SigningInformationTypeModel setAdditionalProof(List<AdditionalProofType> additionalProof)

  - ### getExtended

    public SignatureInformationExtendedModel getExtended()

  - ### setExtended

    public SigningInformationTypeModel setExtended(SignatureInformationExtendedModel extended)